#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint adfurikun.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'adfurikun'
  s.version          = '1.5.0'
  s.summary          = 'Adfurikun plugin for Flutter apps.'
  s.description      = <<-DESC
Adfurikun plugin for Flutter apps. Supports Reward, Interstitial, NativeAd, Rectangle and Banner ads.
                       DESC
  s.homepage         = 'https://adfurikun.jp'
  s.license          = { :file => '../LICENSE' }
  s.author           = 'Glossom, Inc.'
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.platform = :ios, '10.0'
  s.static_framework = true

  s.dependency 'AdfurikunSDK-iOS/AppLovin'   , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/UnityAds'   , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/AdColony'   , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/Maio'       , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/Tapjoy'     , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/Vungle'     , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/Five'       , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/NendAd'     , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/FAN'        , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/Pangle'     , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/AdMob'      , '~> 3.15.2'
  s.dependency 'AdfurikunSDK-iOS/ironSource' , '~> 3.15.2'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
end
